[B034] Organization basic information

get
https://connect.patsnap.com/synapse/organization/basic-info
Try in Sandbox

Obtain organization basic information about stock symbol, founded date, tags etc.

TAG Source: The top three therapeutic area and the top three drug types related to the current pipelines of the organization.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
organization_id
Required
string11ef8a9e8bf5ca80213a1183511cded3
Organization ID, obtain this through the organization autocomplete interface

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
tags
array[ { "id": "62eaee6d9ee44410b8aca59dfc7408e9", "type": "THERAPEUTIC_AREA", "display_name": [ { "lang": "EN", "name": "Neoplasms" }, { "lang": "CN", "name": "肿瘤" } ] }, { "id": "c38eb408d6b842f487d6a27484156633", "type": "DRUG_TYPE", "display_name": [ { "lang": "EN", "name": "Monoclonal antibody" }, { "lang": "CN", "name": "单克隆抗体" } ] } ]
Result Items
id
string62eaee6d9ee44410b8aca59dfc7408e9
ID
type
stringTHERAPEUTIC_AREA
Type, Therapeutic Area/Drug Type
display_name
array[ { "lang": "EN", "name": "Neoplasms" }, { "lang": "CN", "name": "肿瘤" } ]
Name
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
address
object{ "address": { "city": "Thousand Oaks", "state": "California", "country": "United States" } }
Address
city
stringThousand Oaks
City
state
stringCalifornia
State
country
stringUnited States
Country
founded_date
string19800101
Founded Date
stock_symbol
stringAMGN
Stock Symbol
stock_exchange_code
stringNASDAQ
Stock Exchange Code
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "tags": [
      {
        "id": "62eaee6d9ee44410b8aca59dfc7408e9",
        "type": "THERAPEUTIC_AREA",
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ],
    "address": {
      "city": "Thousand Oaks",
      "state": "California",
      "country": "United States"
    },
    "founded_date": 19800101,
    "stock_symbol": "AMGN",
    "stock_exchange_code": "NASDAQ"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms